/**
 * @file
 * Contains \Drupal\view_password\password.js.
 */

(function($, Drupal) {
  'use strict';

  Drupal.behaviors.pwd = {
    attach(context) {
      $('.pwd-see :password', context).after(
        '<span class="shwpd eye-close"></span>'
      );

      $('.shwpd', context)
        .once('view_password')
        .on('click', function() {
          // To toggle the images.
          $(this).toggleClass('eye-close eye-open');

          if ($(this).hasClass('eye-open')) {
            $('.eye-open', context)
              .prev(':password')
              .prop('type', 'text');
          } else if ($(this).hasClass('eye-close')) {
            $('.eye-close', context)
              .prev(':text')
              .prop('type', 'password');
          }
        });
    }
  };
})(jQuery, Drupal);